Prettier GenSec Units
Submitted By badatnames 11 months ago
Version 1.7 | Last Updated 4 months ago
Prettier GenSec Units.7z The main, feature complete version of the mod. Requires BeardLib.
05-08-2020, 04:09 AM By badatnames
Prettier GenSec Units (Beardlib-less).7z A stripped version compatible without any other mods. This version lacks some features, such as the GenSec riot shield, proper helmet popping, and rifle/shotgun color variations.
05-08-2020, 04:08 AM By badatnames
thumbnail
33
1,705
5,799
Custom Model Feedback Needed Lorefriendly REQ BeardLib WIP
badatnames Author

Comments


To leave a comment, you must log in.